Bug 1121450 - Step numbers being skipped in procedures.
Summary: Step numbers being skipped in procedures.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican-redhat
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 02:49 UTC by Deepti Navale
Modified: 2016-08-16 01:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-05 22:24:35 UTC


Attachments (Terms of Use)

Description Deepti Navale 2014-07-21 02:49:25 UTC
Description of problem:

In procedures that contain an itemisedlist within a step, step numbers are getting skipped in the html-single version. The html versions appear alright. This seems to be happening for both the Docbook 4 and Docbook 5 guides. 

For example, 

Docbook 5 guide (Brand version used - RedHat-db5-201405):
----------------
Goes from step 6 to 10 in html-single.

HTML-SINGLE: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/5/html-single/End_User_Guide/index.html#dashboard_update_images

HTML: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/5/html/End_User_Guide/dashboard_manage_images.html#dashboard_update_images


Docbook 4 guide (Brand version used - RedHat-201405): 
---------------
Goes from step 4 to 7 in html-single.

HTML-SINGLE: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/5/html-single/Installation_and_Configuration_Guide/index.html#Using_the_Object_Storage_Service_for_Image_Storage

HTML: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/5/html/Installation_and_Configuration_Guide/sect-Configuring_the_Image_Service.html#Using_the_Object_Storage_Service_for_Image_Storage

Version-Release number of selected component (if applicable):
Mentioned above

Comment 1 Jeff Fearn 🐞 2014-07-21 06:00:22 UTC
FWIW this rule is pretty much a really bad way of doing:

.body ol {
list-style: decimal;
}

IMO it should be ripped out and replaced with that simple rule.

Comment 3 Jeff Fearn 🐞 2014-08-05 22:24:35 UTC
Fix in production.


Note You need to log in before you can comment on or make changes to this bug.